/* autism theme — auti.sm (gold #a47e55, invert blue #3892ff, blacks/greyscales) */
:root {
  --is-dark-theme: true;

  /* Colors. */
  /* Some colors must be set as HEX, due to the monaco-editor no supporting
   * conversion of non-hex colors. https: //github.com/microsoft/monaco-editor/issues/1815 */
  color-scheme: dark;
  --color-primary: #a47e55;
  --color-primary-hover: #3892ff;
  --color-primary-bg: hsla(31deg, 60%, 48.8%, .55);
  --color-primary-text: hsl(31deg, 60%, 75%);

  --color-primary-contrast: #ffffff;
  --color-primary-dark-1: hsl(31deg, 60%, 55%);
  --color-primary-dark-2: hsl(31deg, 60%, 62%);
  --color-primary-dark-3: hsl(31deg, 60%, 68%);
  --color-primary-dark-4: hsl(31deg, 60%, 74%);
  --color-primary-dark-5: hsl(31deg, 60%, 80%);
  --color-primary-dark-6: hsl(31deg, 60%, 86%);
  --color-primary-dark-7: hsl(31deg, 60%, 92%);

  --color-primary-light-1: hsl(31deg, 60%, 42%);
  --color-primary-light-2: hsl(31deg, 60%, 36%);
  --color-primary-light-3: hsl(31deg, 60%, 30%);
  --color-primary-light-4: hsl(31deg, 60%, 24%);
  --color-primary-light-5: hsl(31deg, 60%, 18%);
  --color-primary-light-6: hsl(31deg, 60%, 12%);
  --color-primary-light-7: hsl(31deg, 60%, 6%);

  --color-primary-alpha-10: #a47e551a;
  --color-primary-alpha-20: #a47e5533;
  --color-primary-alpha-30: #a47e554d;
  --color-primary-alpha-40: #a47e5566;
  --color-primary-alpha-50: #a47e5580;
  --color-primary-alpha-60: #a47e5599;
  --color-primary-alpha-70: #a47e55b3;
  --color-primary-alpha-80: #a47e55cc;
  --color-primary-alpha-90: #a47e55e6;

  --color-secondary: hsl(0, 0%, 30%);
  --color-secondary-bg: hsl(0, 0%, 12%);
  --color-secondary-dark-1: hsl(0, 0%, 35%);
  --color-secondary-dark-2: hsl(0, 0%, 40%);
  --color-secondary-dark-3: hsl(0, 0%, 50%);
  --color-secondary-dark-4: hsl(0, 0%, 55%);
  --color-secondary-dark-5: hsl(0, 0%, 60%);
  --color-secondary-dark-6: #9a9a9a;
  --color-secondary-dark-7: hsl(0, 0%, 69%);
  --color-secondary-dark-8: hsl(0, 0%, 74%);
  --color-secondary-dark-9: hsl(0, 0%, 79%);
  --color-secondary-dark-10: hsl(0, 0%, 84%);
  --color-secondary-dark-11: hsl(0, 0%, 89%);
  --color-secondary-dark-12: hsl(0, 0%, 94%);
  --color-secondary-dark-13: hsl(0, 0%, 98%);

  --color-secondary-light-1: hsl(0, 0%, 24%);
  --color-secondary-light-2: hsl(0, 0%, 18%);
  --color-secondary-light-3: hsl(0, 0%, 12%);
  --color-secondary-light-4: hsl(0, 0%, 6%);

  --color-secondary-alpha-10: hsla(0, 0%, 31%, 0.1);
  --color-secondary-alpha-20: hsla(0, 0%, 31%, 0.2);
  --color-secondary-alpha-30: hsla(0, 0%, 31%, 0.3);
  --color-secondary-alpha-40: hsla(0, 0%, 31%, 0.4);
  --color-secondary-alpha-50: hsla(0, 0%, 31%, 0.5);
  --color-secondary-alpha-60: hsla(0, 0%, 31%, 0.6);
  --color-secondary-alpha-70: hsla(0, 0%, 31%, 0.7);
  --color-secondary-alpha-80: hsla(0, 0%, 31%, 0.8);
  --color-secondary-alpha-90: hsla(0, 0%, 31%, 0.9);

  /* Colors for buttons, labels, etc. */
  --color-red: hsl(0, 56.4%, 54.1%);
  --color-red-light: hsl(0, 56.5%, 48.6%);
  --color-red-dark-1: hsl(3deg, 75%, 59%);
  --color-orange: hsl(23.8, 89%, 42.4%);
  --color-orange-light: hsl(23.6, 88.7%, 38%);
  --color-yellow: hsl(44.8, 97%, 40.6%);
  --color-yellow-light: hsl(44.8, 96.8%, 37%);
  --color-olive: hsl(67.5, 79.1%, 36%);
  --color-olive-light: hsl(67.4, 79.3%, 32%);
  --color-green: hsl(124deg 41% 35%);
  --color-green-light: hsl(124deg 41% 45%);
  --color-teal: hsl(177, 100%, 28.4%);
  --color-teal-light: hsl(176.8, 100%, 26%);
  --color-blue: #3892ff;
  --color-blue-light: #2f7fd6;
  --color-blue-dark-1: #3892ff;
  --color-blue-dark-bg: hsla(213deg, 100%, 61%, .15);
  --color-violet: hsl(259.2, 66.5%, 65%);
  --color-violet-light: hsl(259.1, 66.2%, 58%);
  --color-violet-dark-1: hsl(262deg, 66%, 66%);
  --color-violet-dark-bg: hsla(262deg, 66%, 66%, .15);
  --color-purple: hsl(285, 55.9%, 58%);
  --color-purple-light: hsl(285, 55.6%, 52%);
  --color-pink: hsl(326, 64.6%, 50.2%);
  --color-pink-light: hsl(326, 64.5%, 45%);
  --color-brown: hsl(23.4, 33%, 48%);
  --color-brown-light: hsl(23.5, 33%, 43%);
  --color-grey: hsl(0, 0%, 30%);
  --color-grey-light: hsl(0, 0%, 40%);
  --color-black: #000000;
  --color-black-light: #111111;
  --color-gold: #a47e55;
  --color-white: #ffffff;

  /* Color: diff */
  --color-diff-added-word-bg: hsl(120, 20%, 28%);
  --color-diff-removed-word-bg: hsl(0, 30%, 28%);

  --color-diff-added-row-bg: hsla(120, 25%, 35%, .08);
  --color-diff-added-row-linesnum-bg: hsla(120, 25%, 35%, .15);
  --color-diff-added-row-border: hsl(120, 15%, 20%);
  --color-diff-removed-row-bg: hsl(0, 15%, 16%);
  --color-diff-removed-row-linesnum-bg: hsl(0, 20%, 19%);
  --color-diff-removed-row-border: hsl(0, 15%, 26%);
  --color-diff-moved-row-bg: hsl(47, 30%, 30%);
  --color-diff-moved-row-border: hsl(47, 40%, 45%);

  --color-diff-inactive: hsl(0, 0%, 10%);

  /* Color: messages and status. */
  --color-error-border: hsl(0, 42%, 44.1%);
  --color-error-bg: hsl(0, 42.9%, 23%);
  --color-error-bg-active: hsl(0, 27.3%, 37%);
  --color-error-bg-hover: hsl(0, 33.3%, 30%);
  --color-error-text: hsl(0, 79.3%, 88.6%);
  --color-success-border: hsl(136, 33.3%, 40.6%);
  --color-success-bg: hsl(150, 23%, 20%);
  --color-success-text: hsl(116, 46%, 58.4%);
  --color-warning-border: hsl(50, 100%, 37%);
  --color-warning-bg: hsl(60, 9.4%, 20.8%);
  --color-warning-text: hsl(44.7, 96.8%, 50.8%);
  --color-info-border: hsl(210, 50%, 37.6%);
  --color-info-bg: hsl(216.3, 33.3%, 22.4%);
  --color-info-text: hsl(213deg, 89%, 64%);

  --color-body: #000000;

  --color-box-header: #161616;
  --color-box-body: #111111;
  --color-box-body-highlight: hsla(31deg, 60%, 48.8%, .08);

  --color-text: #e6e6e6;
  --color-text-dark: #ffffff;
  --color-text-light: #c4c4c4;
  --color-text-light-1: #b0b0b0;
  --color-text-light-2: #9c9c9c;
  --color-text-light-3: #888888;

  /* "color-light" is actually a subtle black in dark themes, to darken an element.
   * against different backgrounds.  */
  --color-light: hsla(0, 0%, 0%, 0.2);
  --color-light-mimic-enabled: rgba(0, 0, 0, calc(40 / 255 * 222 / 255 / var(--opacity-disabled)));
  --color-light-border: hsla(0, 0%, 100%, 0.2);

  --color-hover: hsla(0, 0%, 100%, .05);
  --color-active: hsla(0, 0%, 100%, .1);

  --color-menu: #161616;
  --color-card: #000000;

  --color-markup-table-row: hsla(0, 0%, 100%, 0);
  --color-markup-code-block: #161616;
  --color-markup-code-inline: hsla(0, 0%, 100%, .08);

  --color-code-bg: #161616;
  --color-code-line-bg-hover: hsl(0, 0%, 12%);
  --color-code-sidebar-bg: #1a1a1a;

  --color-tooltip-text: #fbfdff;
  --color-tooltip-bg: #000000f0;

  /* Navbar. */
  --color-navbar: #0a0a0a;
  --color-nav-bg: #0a0a0a;
  --color-nav-hover-bg: hsla(213, 18%, 90%, .05);
  --color-header-wrapper: #0a0a0a;
  --color-navbar-transparent: hsla(0, 0%, 5%, 0);
  --color-header-bar: #0a0a0a;

  /* Inputs. */
  --color-input-text: #e6e6e6;
  --color-input-background: #111111;
  --color-input-toggle-background: #333333;
  --color-input-border: #333333;
  --color-input-border-hover: #666666;
  --color-placeholder-text: #888888;

  --color-editor-line-highlight: var(--color-primary-light-5);
  --color-project-board-bg: var(--color-secondary-light-2);

  --color-highlight-fg: #000000;
  --color-highlight-bg: #a47e55;
  --color-overlay-backdrop: #000000c0;

  --color-button: #1a1a1a;

  --color-caret: var(--color-text);
  --color-border: var(--color-secondary-alpha-40);

  --color-reaction-bg: hsla(0, 0%, 100%, .08);
  --color-reaction-active-bg: var(--color-primary-alpha-30);

  --color-small-accent: var(--color-primary-light-5);
  --color-active-line: hsl(31deg, 60%, 20%);

  /* Labels. e.g. issues count indicator in repo tabs. */
  --color-label-text: var(--color-text-light);
  --color-label-bg: var(--color-secondary-alpha-60);
  --color-label-active-bg: hsl(0, 0%, 30%);

  /* Footer. */
  --color-footer: #0a0a0a;
  --color-footer-text: var(--color-text-light-3);
  --color-footer-links: var(--color-text-light-1);

  /* Color aliases. */
  --color-accent: var(--color-primary);
}

::selection {
  color: white !important;
  background: #a47e55 !important;
}

/* Custom styling of individual elements.
 * Using !important is bad, but unfortunately gitea does it already in _base.less. */

/* Primary button. */
.ui.primary.button,
.ui.primary.buttons .button {
  background-color: var(--color-primary-bg) !important;
  border-color: var(--color-primary-bg) !important;
  color: var(--color-primary-text) !important;
}

a.ui.primary.label:hover,
.ui.primary.button:hover,
.ui.primary.buttons .button:hover {
  background-color: var(--color-primary-hover) !important;
  color: var(--color-primary-contrast) !important;
}

.ui.primary.label {
  background-color: var(--color-primary-bg) !important;
  border-color: var(--color-primary-bg) !important;
  color: var(--color-primary) !important;
}

/* (from arc-green)
 * invert emojis that are hard to read otherwise */
.emoji[aria-label="check mark"],
.emoji[aria-label="currency exchange"],
.emoji[aria-label="TOP arrow"],
.emoji[aria-label="END arrow"],
.emoji[aria-label="ON! arrow"],
.emoji[aria-label="SOON arrow"],
.emoji[aria-label="heavy dollar sign"],
.emoji[aria-label="copyright"],
.emoji[aria-label="registered"],
.emoji[aria-label="trade mark"],
.emoji[aria-label="multiply"],
.emoji[aria-label="plus"],
.emoji[aria-label="minus"],
.emoji[aria-label="divide"],
.emoji[aria-label="curly loop"],
.emoji[aria-label="double curly loop"],
.emoji[aria-label="wavy dash"],
.emoji[aria-label="paw prints"],
.emoji[aria-label="musical note"],
.emoji[aria-label="musical notes"] {
  filter: invert(100%) hue-rotate(180deg);
}

/* Code syntax highlighting. */
.tag-code .code-inner {
  opacity: .5;
}

.same-code .lines-num.lines-num-old,
.same-code .lines-num.lines-num-new {
  color: var(--color-text-light-3) !important;
}

.add-code .lines-num.lines-num-old,
.add-code .lines-num.lines-num-new {
  background-color: var(--color-diff-added-row-linesnum-bg);
  color: var(--color-text-dark-2) !important;
}

.del-code .lines-num.lines-num-old,
.diff-unified .del-code .lines-num.lines-num-old,
.del-code .lines-num.lines-num-new {
  background-color: var(--color-diff-removed-row-linesnum-bg);
  color: var(--color-text-dark-2) !important;
}

.repository .diff-file-box .file-body.file-code table tbody tr.add-code:hover .lines-num,
.repository .diff-file-box .file-body.file-code table tbody tr.del-code:hover .lines-num,
.repository .diff-file-box .file-body.file-code table tbody tr.same-code:hover .lines-num,
.repository .diff-file-box .file-body.file-code table tbody .diff-unified tr:hover .del-code .lines-num {
  color: var(--color-text-dark) !important;
}

.repository .diff-file-box .file-body.file-code table tbody tr.same-code:hover .lines-num {
  color: var(--color-text-dark-2) !important;
}

.repository .diff-file-box .file-body.file-code table tbody tr.same-code:hover .lines-code,
.repository .diff-file-box .file-body.file-code table tbody tr.same-code:hover .lines-num,
.repository .diff-file-box .file-body.file-code table tbody tr.same-code:hover .lines-type-marker {
  background-color: var(--color-code-line-bg-hover) !important;
}

/* From web_src/less/themes/chroma/dark.less */
:root {
  --color-syntax-NameBuiltinPseudo: #3892ff;
  --color-syntax-Comment: #888888;
  --color-syntax-CommentSingle: #888888;
  --color-syntax-CommentHashbang: #888888;
  --color-syntax-CommentMultiline: #888888;
  --color-syntax-CommentPreproc: #888888;
  --color-syntax-CommentPreprocFile: #888888;
  --color-syntax-CommentSpecial: #888888;
  --color-syntax-LiteralStringDelimiter: #a47e55;

  --color-syntax-GenericDeleted-text: #e6e6e6;
  --color-syntax-GenericDeleted-bg: #4a2a2a;
  --color-syntax-GenericEmph: #e6e6e6;
  --color-syntax-GenericHeading: #a47e55;
  --color-syntax-GenericInserted-text: #e6e6e6;
  --color-syntax-GenericInserted-bg: #2a3a2a;
  --color-syntax-GenericOutput: #888888;
  --color-syntax-GenericPrompt: #888888;
  --color-syntax-GenericError: #cc4444;
  --color-syntax-GenericStrong: #e6e6e6;
  --color-syntax-GenericTraceback: #cc4444;
  --color-syntax-GenericSubheading: #a47e55;
  --color-syntax-LineHighlight: #262626;
  --color-syntax-LiteralNumberIntegerLong: #a47e55;
  --color-syntax-Keyword: #3892ff;
  --color-syntax-KeywordConstant: #3892ff;
  --color-syntax-KeywordDeclaration: #3892ff;
  --color-syntax-KeywordNamespace: #3892ff;
  --color-syntax-KeywordPseudo: #3892ff;
  --color-syntax-KeywordReserved: #3892ff;
  --color-syntax-KeywordType: #3892ff;
  --color-syntax-LineNumbers: #666666;
  --color-syntax-LineNumbersTable: #666666;
  --color-syntax-LiteralNumber: #a47e55;
  --color-syntax-LiteralNumberBin: #a47e55;
  --color-syntax-LiteralNumberFloat: #a47e55;
  --color-syntax-LiteralNumberHex: #a47e55;
  --color-syntax-LiteralNumberInteger: #a47e55;
  --color-syntax-LiteralNumberOct: #a47e55;
  --color-syntax-Name: #e6e6e6;
  --color-syntax-NameAttribute: #3892ff;
  --color-syntax-NameBuiltin: #3892ff;
  --color-syntax-NameClass: #3892ff;
  --color-syntax-NameDecorator: #3892ff;
  --color-syntax-NameException: #3892ff;
  --color-syntax-NameFunction: #3892ff;
  --color-syntax-NameEntity: #e6e6e6;
  --color-syntax-NameLabel: #e6e6e6;
  --color-syntax-NameNamespace: #e6e6e6;
  --color-syntax-NameConstant: #e6e6e6;
  --color-syntax-NameTag: #3892ff;
  --color-syntax-NameVariable: #e6e6e6;
  --color-syntax-NameOther: #e6e6e6;
  --color-syntax-Operator: #e6e6e6;
  --color-syntax-OperatorWord: #e6e6e6;
  --color-syntax-Punctuation: #e6e6e6;
  --color-syntax-LiteralString: #a47e55;
  --color-syntax-LiteralStringSingle: #a47e55;
  --color-syntax-LiteralStringDouble: #a47e55;
  --color-syntax-LiteralStringAffix: #a47e55;
  --color-syntax-LiteralStringBacktick: #a47e55;
  --color-syntax-LiteralStringChar: #a47e55;
  --color-syntax-LiteralStringDoc: #888888;
  --color-syntax-LiteralStringEscape: #a47e55;
  --color-syntax-LiteralStringHeredoc: #a47e55;
  --color-syntax-LiteralStringInterpol: #a47e55;
  --color-syntax-LiteralStringRegex: #a47e55;
  --color-syntax-LiteralStringSymbol: #a47e55;
  --color-syntax-LiteralStringOther: #a47e55;
  --color-syntax-NameVariableClass: #e6e6e6;
  --color-syntax-NameVariableGlobal: #e6e6e6;
  --color-syntax-NameVariableInstance: #e6e6e6;
  --color-syntax-TextWhitespace: #666666;
}

.chroma .bp { color: var(--color-syntax-NameBuiltinPseudo) } /* NameBuiltinPseudo */
.chroma .c { color: var(--color-syntax-Comment) } /* Comment */
.chroma .c1 { color: var(--color-syntax-CommentSingle) } /* CommentSingle */
.chroma .ch { color: var(--color-syntax-CommentHashbang) } /* CommentHashbang */
.chroma .cm { color: var(--color-syntax-CommentMultiline) } /* CommentMultiline */
.chroma .cp { color: var(--color-syntax-CommentPreproc) } /* CommentPreproc */
.chroma .cpf { color: var(--color-syntax-CommentPreprocFile) } /* CommentPreprocFile */
.chroma .cs { color: var(--color-syntax-CommentSpecial) } /* CommentSpecial */
.chroma .dl { color: var(--color-syntax-LiteralStringDelimiter) } /* LiteralStringDelimiter */
.chroma .gd { color: var(--color-syntax-GenericDeleted-text); background-color: var(--color-syntax-GenericDeleted-bg); } /* GenericDeleted */
.chroma .ge { color: var(--color-syntax-GenericEmph); } /* GenericEmph */
.chroma .gh { color: var(--color-syntax-GenericHeading); } /* GenericHeading */
.chroma .gi { color: var(--color-syntax-GenericInserted-text); background-color: var(--color-syntax-GenericInserted-bg); } /* GenericInserted */
.chroma .go { color: var(--color-syntax-GenericOutput); } /* GenericOutput */
.chroma .gp { color: var(--color-syntax-GenericPrompt); } /* GenericPrompt */
.chroma .gr { color: var(--color-syntax-GenericError); } /* GenericError */
.chroma .gs { color: var(--color-syntax-GenericStrong); } /* GenericStrong */
.chroma .gt { color: var(--color-syntax-GenericTraceback); } /* GenericTraceback */
.chroma .gu { color: var(--color-syntax-GenericSubheading); } /* GenericSubheading */
.chroma .hl { background-color: var(--color-syntax-LineHighlight); } /* LineHighlight */
.chroma .il { color: var(--color-syntax-LiteralNumberIntegerLong); } /* LiteralNumberIntegerLong */
.chroma .k { color: var(--color-syntax-Keyword); } /* Keyword */
.chroma .kc { color: var(--color-syntax-KeywordConstant); } /* KeywordConstant */
.chroma .kd { color: var(--color-syntax-KeywordDeclaration); } /* KeywordDeclaration */
.chroma .kn { color: var(--color-syntax-KeywordNamespace); } /* KeywordNamespace */
.chroma .kp { color: var(--color-syntax-KeywordPseudo); } /* KeywordPseudo */
.chroma .kr { color: var(--color-syntax-KeywordReserved); } /* KeywordReserved */
.chroma .kt { color: var(--color-syntax-KeywordType); } /* KeywordType */
.chroma .ln { color: var(--color-syntax-LineNumbers); } /* LineNumbers */
.chroma .lnt { color: var(--color-syntax-LineNumbersTable); } /* LineNumbersTable */
.chroma .m { color: var(--color-syntax-LiteralNumber); } /* LiteralNumber */
.chroma .mb { color: var(--color-syntax-LiteralNumberBin); } /* LiteralNumberBin */
.chroma .mf { color: var(--color-syntax-LiteralNumberFloat); } /* LiteralNumberFloat */
.chroma .mh { color: var(--color-syntax-LiteralNumberHex); } /* LiteralNumberHex */
.chroma .mi { color: var(--color-syntax-LiteralNumberInteger); } /* LiteralNumberInteger */
.chroma .mo { color: var(--color-syntax-LiteralNumberOct); } /* LiteralNumberOct */
.chroma .n { color: var(--color-syntax-Name); } /* Name */
.chroma .na { color: var(--color-syntax-NameAttribute); } /* NameAttribute */
.chroma .nb { color: var(--color-syntax-NameBuiltin); } /* NameBuiltin */
.chroma .nc { color: var(--color-syntax-NameClass); } /* NameClass */
.chroma .nd { color: var(--color-syntax-NameDecorator); } /* NameDecorator */
.chroma .ne { color: var(--color-syntax-NameException); } /* NameException */
.chroma .nf { color: var(--color-syntax-NameFunction); } /* NameFunction */
.chroma .ni { color: var(--color-syntax-NameEntity); } /* NameEntity */
.chroma .nl { color: var(--color-syntax-NameLabel); } /* NameLabel */
.chroma .nn { color: var(--color-syntax-NameNamespace); } /* NameNamespace */
.chroma .no { color: var(--color-syntax-NameConstant); } /* NameConstant */
.chroma .nt { color: var(--color-syntax-NameTag); } /* NameTag */
.chroma .nv { color: var(--color-syntax-NameVariable); } /* NameVariable */
.chroma .nx { color: var(--color-syntax-NameOther); } /* NameOther */
.chroma .o { color: var(--color-syntax-Operator); } /* Operator */
.chroma .ow { color: var(--color-syntax-OperatorWord); } /* OperatorWord */
.chroma .p { color: var(--color-syntax-Punctuation); } /* Punctuation */
.chroma .s { color: var(--color-syntax-LiteralString); } /* LiteralString */
.chroma .s1 { color: var(--color-syntax-LiteralStringSingle); } /* LiteralStringSingle */
.chroma .s2 { color: var(--color-syntax-LiteralStringDouble); } /* LiteralStringDouble */
.chroma .sa { color: var(--color-syntax-LiteralStringAffix); } /* LiteralStringAffix */
.chroma .sb { color: var(--color-syntax-LiteralStringBacktick); } /* LiteralStringBacktick */
.chroma .sc { color: var(--color-syntax-LiteralStringChar); } /* LiteralStringChar */
.chroma .sd { color: var(--color-syntax-LiteralStringDoc); } /* LiteralStringDoc */
.chroma .se { color: var(--color-syntax-LiteralStringEscape); } /* LiteralStringEscape */
.chroma .sh { color: var(--color-syntax-LiteralStringHeredoc); } /* LiteralStringHeredoc */
.chroma .si { color: var(--color-syntax-LiteralStringInterpol); } /* LiteralStringInterpol */
.chroma .sr { color: var(--color-syntax-LiteralStringRegex); } /* LiteralStringRegex */
.chroma .ss { color: var(--color-syntax-LiteralStringSymbol); } /* LiteralStringSymbol */
.chroma .sx { color: var(--color-syntax-LiteralStringOther); } /* LiteralStringOther */
.chroma .vc { color: var(--color-syntax-NameVariableClass); } /* NameVariableClass */
.chroma .vg { color: var(--color-syntax-NameVariableGlobal); } /* NameVariableGlobal */
.chroma .vi { color: var(--color-syntax-NameVariableInstance); } /* NameVariableInstance */
.chroma .w { color: var(--color-syntax-TextWhitespace); } /* TextWhitespace */

/* From web_src/less/codemirror/dark.less */
.CodeMirror.cm-s-default .cm-property, .CodeMirror.cm-s-paper .cm-property {
	 color: #e6e6e6;
}
 .CodeMirror.cm-s-default .cm-header, .CodeMirror.cm-s-paper .cm-header {
	 color: #888888;
}
 .CodeMirror.cm-s-default .cm-quote, .CodeMirror.cm-s-paper .cm-quote {
	 color: #888888;
}
 .CodeMirror.cm-s-default .cm-keyword, .CodeMirror.cm-s-paper .cm-keyword {
	 color: #3892ff;
}
 .CodeMirror.cm-s-default .cm-atom, .CodeMirror.cm-s-paper .cm-atom {
	 color: #a47e55;
}
 .CodeMirror.cm-s-default .cm-number, .CodeMirror.cm-s-paper .cm-number {
	 color: #a47e55;
}
 .CodeMirror.cm-s-default .cm-def, .CodeMirror.cm-s-paper .cm-def {
	 color: #e6e6e6;
}
 .CodeMirror.cm-s-default .cm-variable-2, .CodeMirror.cm-s-paper .cm-variable-2 {
	 color: #e6e6e6;
}
 .CodeMirror.cm-s-default .cm-variable-3, .CodeMirror.cm-s-paper .cm-variable-3 {
	 color: #e6e6e6;
}
 .CodeMirror.cm-s-default .cm-comment, .CodeMirror.cm-s-paper .cm-comment {
	 color: #888888;
}
 .CodeMirror.cm-s-default .cm-string, .CodeMirror.cm-s-paper .cm-string {
	 color: #a47e55;
}
 .CodeMirror.cm-s-default .cm-string-2, .CodeMirror.cm-s-paper .cm-string-2 {
	 color: #a47e55;
}
 .CodeMirror.cm-s-default .cm-meta, .CodeMirror.cm-s-default .cm-qualifier, .CodeMirror.cm-s-paper .cm-meta, .CodeMirror.cm-s-paper .cm-qualifier {
	 color: #a47e55;
}
 .CodeMirror.cm-s-default .cm-builtin, .CodeMirror.cm-s-paper .cm-builtin {
	 color: #3892ff;
}
 .CodeMirror.cm-s-default .cm-bracket, .CodeMirror.cm-s-paper .cm-bracket {
	 color: #666666;
}
 .CodeMirror.cm-s-default .cm-tag, .CodeMirror.cm-s-paper .cm-tag {
	 color: #3892ff;
}
 .CodeMirror.cm-s-default .cm-attribute, .CodeMirror.cm-s-paper .cm-attribute {
	 color: #3892ff;
}
 .CodeMirror.cm-s-default .cm-hr, .CodeMirror.cm-s-paper .cm-hr {
	 color: #666666;
}
 .CodeMirror.cm-s-default .cm-url, .CodeMirror.cm-s-paper .cm-url {
	 color: #888888;
}
 .CodeMirror.cm-s-default .cm-link, .CodeMirror.cm-s-paper .cm-link {
	 color: #a47e55;
}
 .CodeMirror.cm-s-default .cm-error, .CodeMirror.cm-s-paper .cm-error {
	 color: #cc4444;
}

/* Progress bar. */
progress::-moz-progress-bar,
progress::-webkit-progress-value {
  background-color: var(--color-primary);
}

.issue-list-toolbar-left a.item {
    opacity: 50%;
}

.issue-list-toolbar-left a.active.item {
    opacity: 100%;
}

/* From auti.sm public/syntax.css */
.chroma .err { color: #888888; }
.chroma .c, .chroma .c1, .chroma .ch, .chroma .cm, .chroma .cs { font-style: italic; }
